%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		host_name	%(hostname)

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	A wireless and wired network manager
Name:		wicd
Version:	1.7.0
Release:	2
Source0:	%{name}-%{version}.tar.bz2
Source201:	wicd.init
Patch260:	wicd-python26.patch
License:	http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
Group:		Networking
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url:		http://wicd.net
BuildArch:	i686
BuildRequires: 	python%{PVER}
BuildRequires: 	python%{PVER}-devel
Requires:	python%{PVER}
Requires:	python%{PVER}-urwid
Requires:	ethtool
Requires:	net-tools
Requires:	wpa_supplicant
Requires:	wireless-tools
Requires:	inetutils >= 1:1.7

Requires:	pm-utils 
Requires:	dhclient
Requires:	iproute2
Requires:	dbus-python
Requires:	python%{PVER}-pygtk
Obsoletes:	etcnet

%description
A complete network connection manager
Wicd supports wired and wireless networks, and capable of
creating and tracking profiles for both.  It has a 
template-based wireless encryption system, which allows the user
to easily add encryption methods used.  It ships with some common
encryption types, such as WPA and WEP. Wicd will automatically
connect at startup to any preferred network within range.

%post
/sbin/chkconfig --add network
/sbin/chkconfig network on
/sbin/chkconfig network resetpriorities

if [ -f /etc/sysconfig/network.rpmsave ]; then
    mv -f /etc/sysconfig/network.rpmsave /etc/sysconfig/network

fi

if [ ! -f /etc/sysconfig/network ]; then
cat > /etc/sysconfig/network << EOF
NETWORKING=yes
HOSTNAME=%{host_name}
DOMAINNAME=localdomain
RESOLV_MODS=yes
EOF
fi

%preun
if [ $1 -eq 0 ]; then
# This is an erase.
	/sbin/chkconfig --del network
fi

# needed for a clean upgrade path
%triggerpostun -- etcnet
/sbin/chkconfig --add network
/sbin/chkconfig network on
/sbin/chkconfig network resetpriorities

%prep
%setup -q -n %{name}-%{version}
# fixit doesn't do everything right, so we better do it manually
%patch260 -p1

%build
%{__python} setup.py configure --python=/usr/bin/python%{PYVER}
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --prefix=/usr --root=$RPM_BUILD_ROOT 

rm -rf $RPM_BUILD_ROOT/usr/share/man/nl

install -m 755 -dp $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE201} $RPM_BUILD_ROOT/etc/rc.d/init.d/network
rm -f $RPM_BUILD_ROOT%{python_sitelib}/*.egg-info

mkdir -p $RPM_BUILD_ROOT%_datadir/autostart
cp $RPM_BUILD_ROOT%_sysconfdir/xdg/autostart/wicd-tray.desktop \
   $RPM_BUILD_ROOT%_datadir/autostart

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/wicd-client
%{_bindir}/wicd-curses
%{_bindir}/wicd-cli
%{_bindir}/wicd-gtk
%{_sbindir}/wicd
%{_mandir}/man1/wicd-client.1.gz
%{_mandir}/man5/wicd-manager-settings.conf.5.gz
%{_mandir}/man5/wicd-wired-settings.conf.5.gz
%{_mandir}/man5/wicd-wireless-settings.conf.5.gz
%{_mandir}/man8/wicd-curses.8.gz
%{_mandir}/man8/wicd.8.gz
%{_mandir}/man8/wicd-cli.8.gz
%{_sysconfdir}/rc.d/init.d/network
%{_sysconfdir}/wicd/
%{_sysconfdir}/acpi/resume.d/80-wicd-connect.sh
%{_sysconfdir}/acpi/suspend.d/50-wicd-suspend.sh
%{_sysconfdir}/dbus-1/system.d/wicd.conf
%{_sysconfdir}/xdg/autostart/wicd-tray.desktop
%{_datadir}/applications/wicd.desktop
%{_datadir}/autostart/wicd-tray.desktop
%{_datadir}/pixmaps/wicd
%{_datadir}/locale/*/LC_MESSAGES/wicd.mo
%{_datadir}/doc/wicd/
%{_datadir}/wicd/
%{_datadir}/icons/hicolor/*/apps/wicd-gtk.png
%{_datadir}/icons/hicolor/*/apps/wicd-gtk.svg
%{_datadir}/pixmaps/wicd-gtk.xpm
%{python_sitelib}/wicd/
%{_localstatedir}/lib/wicd
%{_libdir}/pm-utils/sleep.d/91wicd
/var/log/wicd/.empty_on_purpose

%changelog
* Mon Jan 18 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.7.0-2
- additionally requires inetutils >= 1.7, so WLAN with static IPs
works
* Sun Jan 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.7.0-1
- Version update
* Fri Nov 13 2009 Christian Wasem <wasem@ccux-linux.de> 1.6.2.2-9
- added copying of wicd-tray.desktop to /usr/share/autostart
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 1.6.2.2-8
- rebuild against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 1.6.2.2-7
- rebuild against python25-2.5.4-3
* Fri Oct 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.6.2.2-6
- now with real python 2.5 transition fix
* Sun Oct 04 2009 Christian Metzen <metzench@ccux-linux.de> 1.6.2.2-5
- python 2.5 bugfix
* Sun Oct 04 2009 Christian Metzen <metzench@ccux-linux.de> 1.6.2.2-4
- clean upgrade path
* Sun Sep 13 2009 Christian Metzen <metzench@ccux-linux.de> 1.6.2.2-3
- modify post scriplet
* Sat Sep 12 2009 Christian Metzen <metzench@ccux-linux.de> 1.6.2.2-2
- add system bootup script
- obsolete etcnet
* Sat Sep 12 2009 Christian Metzen <metzench@ccux-linux.de> 1.6.2.2-1
- Initial CCux package release
